데비안 보안 권고

DSA-4435-1 libpng1.6 -- 보안 업데이트

보고일:
2019년 04월 27일
영향 받는 패키지:
libpng1.6
위험성:
보안 데이터베이스 참조:
데비안 버그 추적 시스템: 버그 921355.
Mitre의 CVE 사전: CVE-2019-7317.
추가 정보:

A use-after-free vulnerability was discovered in the png_image_free() function in the libpng PNG library, which could lead to denial of service or potentially the execution of arbitrary code if a malformed image is processed.

안정 배포(stretch)에서, 이 문제를 버전 1.6.28-1+deb9u1에서 고쳤습니다.

libpng1.6 패키지를 업그레이드하는 게 좋습니다.

libpng1.6의 자세한 보안 상태는 보안 추적 페이지 참조: https://security-tracker.debian.org/tracker/libpng1.6